<?php
/*

Plugin Name: Traffic Analyzer
Plugin URI: http://www.gladsys.in/wordpress-plugin-trafficanalyzer/
Description: Analyzes the traffic and trend of the site
Version: 1.8.0
Author: George Mathew K
Author URI: http://www.gladsys.in/author/george/ 
License: GPL2

*/


	$plugin_path = plugin_dir_path(__FILE__);	
	require_once $plugin_path . "/ta_commons.php";
	require_once $plugin_path . "/class-TrafficAnalyzer.php";
	require_once $plugin_path . "/class-TrafficAnalyzerViews.php";
	require_once $plugin_path . "/class-TrafficAnalyzerSettings.php";

	if(class_exists("TrafficAnalyzer")){
		$ta = new TrafficAnalyzer();
		$ta_views = new TrafficAnalyzerViews();
		$ta_settings = new TrafficAnalyzerSettings();		
	}


	if(isset($ta)){
		if(!function_exists('ta_menu')){
			function ta_menu(){
				global $ta;
				global $ta_views;
				global $ta_settings;
			
				if(function_exists("add_menu_page")) {
					$icon_url = plugin_dir_url(__FILE__)."images/analyzer.png";
					
					add_menu_page("Traffic Analyzer", "Analyzer", "ta_visits", "report_".basename(__FILE__),array(&$ta_views,'form'),$icon_url);
					add_submenu_page("report_".basename(__FILE__), "Views", "Views", "ta_visits"  , "report_".basename(__FILE__),array(&$ta_views,'form'));
					add_submenu_page("report_".basename(__FILE__), "Settings", "Settings","ta_settings", "settings_".basename(__FILE__),array(&$ta_settings,'form'));
				}					
			}		
		}
		
		add_action('admin_menu','ta_menu');	
		
		add_action('activate_trafficanalyzer/traffic-analyzer.php',array(&$ta,'activate'),1);		
		add_action('shutdown',array(&$ta,'loaded'));		// Executed on index.php -> ./wp-blog-header.php -> wp() -> wp-includes/class-wp.php : main() : do_action_ref_array('wp', array(&$this));
		
		$ta_settings->actions();
		$ta_views->actions();

		remove_action('wp_head', 'adjacent_posts_rel_link_wp_head');	// removes next and prev attribute of link tag. This is needed to prevent the prefetching mechanism of firefox by next attribute
			
	}
